Subject: Re: [Bug-vc-dwim] bug#38934: [PATCH] vc-dwim: die if no one-line summary.

From: Jim Meyering <[email-masked]>
Date: Sun, 5 Jan 2020 10:53:18 -0800

On Sat, Jan 4, 2020 at 9:56 PM Jim Meyering <[email-masked]> wrote:
>
> On Sat, Jan 4, 2020 at 6:00 PM Karl Berry <[email-masked]> wrote:
> > Jim, for your consideration: die if no one-line summary is found and
> > --commit is specified, instead of committing unparsable/bogus data.
> >
> > FWIW, I found it quite painful to recover from the commit when vcd
> > couldn't parse my entry and I accidentally committed anyway. -k
>
> Thanks for the suggestion.
> I like it enough that I've adjusted the many resultant test failures
> to accommodate (see the attached). If no one objects, I'll merge those
> test changes into your commit and push everything tomorrow.

Here's the merged commit I want to push later today.
Also adjusted NEWS.